Interaction d’un thème avec la version fr WP2.2.1 ? (Créer un compte)

  • Statut : non résolu
15 sujets de 1 à 15 (sur un total de 37)
  • Auteur
    Messages
  • #453233
    philippe @ ki-learning.fr
    Participant
    Padawan WordPress
    65 contributions

    Ma configuration WP actuelle 2.2.1
    – Version de WordPress : 2.2.1
    – Thème utilisé : WEB 2.0 version 1.2
    – Plugins en place : beaucoup
    – Nom de l’hebergeur : online.net
    – Adresse du site : http://www.ki-learning.fr/web2.0

    Problème(s) rencontré(s) :

    Bonjour,

    Bon, j’ai démarré mon site avec un thème vraiment sympa nommé web2.0 http://mewebdev.net/ de Neil Merton. On en est à la version 1.5, or celle-ci a une feuille de style accompagnée d’une page d’options où l’on peut tout modifier dans la CSS avec la facilité d’un formulaire.

    Ca c’est la théorie, parce Seule la version 1.2 marche chez moi (avant le formulaire), la version 1.5 n’est pas prise en charge, c’est comme si j’avais supprimé style.CSS. Neil Merton me dit que pourtant sa version 1.5 est compatible avec wp 2.2.1 en anglais.

    Je lui ai ouvert un accès administrateur à mon WP mais pas de nouvelles. En attendant, j’utilise la 1.2 qui n’est pas valide W3C, qui ne fonctionne pas bien du tout sous IE7.

    Pourriez-vous télécharger et tester (et attester) que ce thème http://mewebdev.net/ ne fonctionne pas sous vos versions FR de WP ? S’il fonctionnait alors, je mettrais en cause d’autres facteurs des plugins (mais j’ai déja testé en virant tout) et que sais-je encore ? Mon hébergeur. Qu’est-ce qui peut-être en cause ?

    Je veux bien votre aide. Merci

    Philippe

    #605900
    AmO
    Participant
    Maître WordPress
    4447 contributions

    Ca marche nickel chez moi…

    Attention de bien envoyer le dossier du thème dans le dossier wp-content/themes.

    Incorrect: wp-content/themes/montheme/montheme/style.css
    Correct: wp-content/themes/montheme/style.css

    #605901
    Many
    Participant
    Maître WordPress
    1485 contributions

    Je confirme, chez moi aussi ce thème fonctionne sans problème avec la 2.2.1 Fr

    #605902
    philippe @ ki-learning.fr
    Participant
    Padawan WordPress
    65 contributions

    Ben non, c’est pas une question de niveau dans les répertoires. merci d’avoir testé.

    Je suis bien en wp-content/themes/W2.0/style.css

    Alors qu’est -ce que j’ai foutu. J’ai déja réinstallé plusieurs fois l’ensemble des fichiers. Je sais pas ou regarder..

    #605903
    AmO
    Participant
    Maître WordPress
    4447 contributions

    laisse le dossier nommé en : web-20-100

    #605904
    philippe @ ki-learning.fr
    Participant
    Padawan WordPress
    65 contributions

    Eh, non, tu as raison de passer en revue les choses les plus évidentes, mais la non !

    #605905
    philippe @ ki-learning.fr
    Participant
    Padawan WordPress
    65 contributions

    Le fichier style.php fait référence à config.php, pourquoi faire ? Est-ce que le style est stocké en base de données dans cette version ci ? ( @ AmO car je crois que tu connais php)

    #605906
    AmO
    Participant
    Maître WordPress
    4447 contributions

    Quel est le message d’erreur précis ?

    Peu importe, style.php, WordPress lit le fichier style.css pour l’afficher dans l’admin 🙂

    #605907
    philippe @ ki-learning.fr
    Participant
    Padawan WordPress
    65 contributions

    Ben, il n’y a aucun message d’erreur !

    #605908
    AmO
    Participant
    Maître WordPress
    4447 contributions

    Le thème n’est pas présent dans la liste des thèmes à installer ?

    C’est juste ca ?

    Tu utilises quel client FTP ? et quel outil ZIP ?
    Tu as un autre blog sur lequel tu peux tester ?
    Vérifie également le chmod du dossier de ton thème, met lui 0777 🙂

    #605909
    philippe @ ki-learning.fr
    Participant
    Padawan WordPress
    65 contributions

    Le theme est présent dans mon répertoire de theme.

    J’utilise Dreamweaver pour mettre en ligne, je zippe pas pour l’upload. Mon serveur refuse que je mette les droits en 666 ou en 777. C’est la faute à online ? Je peux forcer les droits autrement ?

    Cela peut-il avoir un impact sur style.php ? Sinon, le reste fonctionne pour l’upload ld’images, etc..

    J’écris à online.

    #605910
    AmO
    Participant
    Maître WordPress
    4447 contributions

    A mon avis c’est la faute à dreamweaver, tu devrais utiliser un vrai client FTP comme FileZilla ou SmartFTP

    #605911
    philippe @ ki-learning.fr
    Participant
    Padawan WordPress
    65 contributions

    Je viens de tester sur FREE et tout marche touts choses égales par ailleurs

    #605912
    AmO
    Participant
    Maître WordPress
    4447 contributions

    Effacer le dossier en ligne de chez online, et retente …

    #605913
    philippe @ ki-learning.fr
    Participant
    Padawan WordPress
    65 contributions

    J’ai mis en ligne une version brut de dezippage du thème web2.0 en plus, et cela ne marche pas mieux. J’ai comme chmod 755 sur online c’est pas suffisant ?

15 sujets de 1 à 15 (sur un total de 37)
  • Vous devez être connecté pour répondre à ce sujet.